// Reader.h: interface for the Reader class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_READER_H__11C6AC6E_F771_4E97_9F3E_B754DA17D953__INCLUDED_)
#define AFX_READER_H__11C6AC6E_F771_4E97_9F3E_B754DA17D953__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include <stdio.h>

class Reader  
{
public:
	bool readLine(char * buffer, long bufLen);
	bool isOk();
	Reader(const char * filename);
	virtual ~Reader();
	inline getLineNo() { return m_lineNo; };
private:
	long m_lineNo;
	FILE * m_file;
};

#endif // !defined(AFX_READER_H__11C6AC6E_F771_4E97_9F3E_B754DA17D953__INCLUDED_)
